tagtraum industries: SIXBS - Simple XML Bean Serialization: Class MapAdapt

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tagtraum.sixbs.adapters.util
Class MapAdapt

    java.lang.Object
      |
      +--com.tagtraum.sixbs.AbstractAdapter
            |
            +--com.tagtraum.sixbs.adapters.util.MapAdapt

All Implemented Interfaces:
  Adapter

Direct Known Subclasses:
  HashMapAdapt, HashtableAdapt, SortedMapAdapt

public class MapAdapt
extends AbstractAdapter

Adapter for an `Map`.

Version:
  $Id: MapAdapt.java,v 1.1 2001/05/06 14:55:02 Hendrik Exp $
Author:
  Hendrik Schreiber

Field Summary
`static String` | `vcid` Source-Version

Constructor Summary
`MapAdapt(Map map)`

Method Summary
`Object` | `deserialize()` Returns the object that has been initialized from XML by calling the setter methods of a class implementing this interface. Example: In `ArrayListAdapt` this method returns an initialized `ArrayList`.
`MapEntry[]` | `getMapEntries()`
`protected void` | `setInternalMap(Map map)`
`void` | `setMapEntries(MapEntry[] entries)`

Methods inherited from class com.tagtraum.sixbs.AbstractAdapter
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vcid

    public static String vcid

  Source-Version

Constructor Detail

### MapAdapt

    public MapAdapt(Map map)

Method Detail

### getMapEntries

    public MapEntry[] getMapEntries()

### setMapEntries

    public void setMapEntries(MapEntry[] entries)

### deserialize

    public Object deserialize()
                       throws SIXBSException

  Description copied from interface: `Adapter`
  Returns the object that has been initialized from XML by calling the setter methods of a class implementing this interface.

  Example:

  In `ArrayListAdapt` this method returns an initialized `ArrayList`. The ArrayList has been initialized by the Adapter, when the `ListAdapt.setList(Object[])` method was called by `SIXBSReader`.

  Overrides:
    `deserialize` in class `AbstractAdapter`

### setInternalMap

    protected void setInternalMap(Map map)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 tagtraum industries.